d.geodesic(1)

NAME
d.geodesic - Displays a geodesic line, tracing the shortest distance between two geographic points along a great circle, in a longitude/latitude data set.

KEYWORDS
display

SYNOPSIS
d.geodesic
d.geodesic help
d.geodesic [coor=lon1,lat1,lon2,lat2] [lcolor=string] [tcolor=string]

  Parameters:

coor=lon1,lat1,lon2,lat2
    Starting and ending coordinates

lcolor=string
    Line color Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey,cyan,purple Default: black

tcolor=string
    Text color or "none"

DESCRIPTION
d.geodesic displays a geodesic line in the active frame on the user's graphics monitor. This is also known as the great circle line and traces the shortest distance between two user-specified points on the curved surface of a longitude/latitude data set. The two coordinate locations named must fall within the boundaries of the user's current geographic region.

OPTIONS
This program can be run either interactively or non-interactively. If the user types d.geodesic on the command line and runs it without other program parameters, the mouse will be activated; the user is asked to use the mouse to indicate the starting and ending points of each geodesic line to be drawn. The default line color (black) and text color (red) will be used.

Alternately, the user can specify the starting and ending coordinates of the geodesic, line color, and text color on the command line, and run the program non-interactively.

Once the user indicates the starting and ending coordinates of the geodesic, the line and its length (in miles) are displayed to the user's graphics monitor. If the text color is set to none, the great circle distance is not displayed.

NOTES
This program works only with GRASS locations using a longitude/latitude coordinate system.

SEE ALSO
d.rhumbline

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2004/09/16 10:52:27 $

Full index